Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessarySemicolonRule

- groovy.org.codenarc.rule.unnecessary.UnnecessarySemicolonRule

- Semicolons as line terminators are not required in Groovy: remove them. Do not use a semicolon as a replacement for empty braces on for and while loops; this is a confusing practice.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `excludePattern`
    `String` | `name`
    `int` | `priority`
    `def` | `temporaryViolations`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List violations)`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String excludePattern

    - #### String name

    - #### int priority

    - #### def temporaryViolations

  - ### Method Detail

    - #### @Override void applyTo(SourceCode sourceCode, List violations)